package model;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;

import java.io.IOException;
import java.io.InputStream;

/**
 * Created by fwy13 on 4/04/17.
 */
public enum SceneCode {
    //screens before log in
    MAIN("main", false), BASE("base", false),
    //screens after login
    HOME("home"),ADD_RIDE("addride"),MY_RIDES("myrides"), ADD_STOPS("addstops"), MY_STOPS("mystops"), ADD_ROUTE("addroute"),
    MY_ROUTES("myroutes"), ADD_TRIP("addtrip"), MY_TRIPS("mytrips"), SHARED_RIDES("sharedtrips"), SEARCH_STOPS("searchstops"),
    REGISTER("register", false), ADD_PHOTO("addphoto", false), REGISTER_DRIVER("registerdriver", false);

    private String path;
    private boolean loadMenu;
    public static int prefWidth = 600;
    public static int prefHeight = 400;

    SceneCode(String path){
        this(path, true);
    }

    SceneCode(String path, boolean loadMenu){
        this.path = "scenes/"+path+".fxml";
        this.loadMenu = loadMenu;
    }

    public String getPath() {
        return path;
    }

    public boolean isLoadMenu() {
        return loadMenu;
    }

}
